## mooix 1.0rc5.pre3

=== debian/changelog ===
mooix (1.0rc5.pre3) unstable; urgency=low

  * Added a Russian translation of the debconf template. Closes: #214339
  * Work around a bug in perl 5.8.1's Test::Builder.
  * Explicitly conflict with the three versions of libc6 that broke mooix so
    bad a few months ago; people are still running into that problem.
  * Build with perl 5.8.2 to get @INC fixed for the new perl.
  * Better fix for 5.8.1 srand() bug, no run-time overhead.
  * The perl 5.8.1 rand() bug does not plague perl 5.8.2.
  * Fix gender objects to stop overidding the gender field, as that broke
    "show mooix:mixin/gender/male", and was redundant (name fields have the
    same info).
  * Change gender_validate to use names.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Oct 2003 20:01:12 -0400

mooix (1.0rc5.pre2) unstable; urgency=medium

  * This is a recompile for Debian to stop mood from segfaulting
    with the new perl 5.8.1.
  * Fix msg to pass originator parameter again.
  * Fix parrot squawking.
  * As of perl 5.8.1, just initting perl calls rand and seeds the RNG.
    This is a problem because all methods run by mood get the same random
    seed. To work around this, make mood call srand by hand after forking.
  * setfield's return values are now correctly intercepted, and errors are
    reported by Ruby. (Nolan)
  * Fixed errors in ruby's Thing.msg caused by @args Hash->String change.
    (Nolan)
  * Python binding's croak can return an exit status. (Nick)
  * testtree will not die if it cannot modify an object (ie, a user)
  * All tests pass except those that break due to a bug in the test harness
    in perl 5.8.1.

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Oct 2003 16:09:56 -0400

mooix (1.0rc5.pre1) unstable; urgency=low

  * This is a pre-release of a release candidate. About half way to
    completing release candidate #5.
  .
  * Ruby and tinyfugue users might want to read UPGRADING.
  .
  * Include descriptions of light switches in their look.msg.
  * Add scream as alias for yell.
  * Remove the precommand_msg thing in the parser, since it does not work
    right if the unquoted command that gets autoquoted was not intended to be
    quoted.
  * Add a prompt field/method to avatars, which the parser uses for the
    command prompt.
  * Make the parser notice immediatly if the avatar's benchmarked field is
    changed.
  * Debian package build-depends on ruby1.8-dev, instead of old ruby-dev.
    Closes: #212289
  * Fix quoting issues in ruby binding, (Nolan)
  * Generate a calltrace on EACCES in ruby binding. (Nolan)
  * As of Debian glibc 2.3.2-4, the GLIBC_REWIND_HACK is apparently not
    needed (they backed out their libio changes). Disable it by default and
    make it a configure option.
  * Add debug logging to perl binding, enabled by MOOIX_DEBUG (which points
    to the debug object to use), using the new debug method.
  * The perl binding can log extensive debugging information, including
    every field it accesses and method it runs.
  * Add debug object class, that receives the debug log messages.
  * Make mood and libmooproxy propigate MOOIX_DEBUG across method calls.
  * Rename MOOIX_DEBUG in libmooproxy to MOOIX_PROXY_DEBUG.
  * Add a debugging field to builders+, and make the parser get
    reinitted when it is set, and create a debugger object under the
    avatar if there is not already one. So "I am debugging" suffices to
    turn on debugging, "I am not debugging" to turn it off.
  * Added a =debug= help topic for an overview of the debugging system.
  * Make autoconf smarter in picking interpreters, include dirs and libs 
    for python and ruby. (Nick)
  * Add thinglist.rb to ruby binding, for thinglist support. (Nolan)
  * Fix super call in ruby when ruby is not embedded. (Nick)
  * Make mood's SIGCHLD handler deal with child processes that get stopped.
  * Fix ruby_eval_verb to not allow third-party spoofing.
  * Added breakpoints and continuing to debugger.
  * Added method return value interception and change to debugger (for
    programmers only).
  * Ruby binding will call setfield for external field sets. (Nolan)
  * Added a regression/unit test framework for mooix objects, run by the 
    fulltest target. Requires a mooix installation.
  * Added a set of tests to make sure mood runs methods of different
    languages properly, esp. the embedded ones. Yes, some of them DO fail.
  * Fix perl binding implements method to not return true for subdirs.
  * Added some tests for perl.
  * Added comprehensive super tests, multi-language.
  * Fixed shell binding's super implementation to use METHOD
  * Make shell binding super be like perl and access fields if super is a field.
  * Perl binding tried to write to a parent's field, if super was a field
    and there were arguments. Changed behavior to just croak.
  * Cleaned up mood's method running code to be modular and make it easy to
    drop in new embedded languages. Also several bug fixes (it passes the test
    suite now). (Nick)
  * Fix shell binding's object return code.
  * Large ruby binding change, Mooix.run always passes args as array.
    Also fixes for multiline strings. (Nolan)
  * Python binding result object changes, including support for null super
    methods. (Nick)
  * Removed a seemingly unused and broken declaration predicate from the
    grammar.
  * Added a test suite for the parser, currently it checks that the grammar is
    valid.
  * Support upper-casing part of the verbs in commands like "Show".
  * Parser now supports compound sentences involving fields, like
    "show my name and my alias is "bob""
  * Support a period after commands like "I'm benchmarked."
  * General cleanups of stuff involving trailing fields in the grammar.
  * Rewrote the socket session class and in.mooix to use a single socket
    and a simple protocol. in.mooix does not fork as much, and now it can
    properly handle prompt redisplay if a prompt is interrupted by a

