=== bindings/ruby/Makefile ===
include ../../makeinfo

RUBYDIR=$(shell ruby -e 'puts $$LOAD_PATH.find { |dir| dir =~ /\/ruby\/\d/ }')
ifeq ($(RUBYDIR),)
	HAVE_RUBY=no
endif

build:
ifeq ($(HAVE_RUBY),yes)
	$(RUBY) install.rb config  --rb-dir=$(PREFIX)/$(RUBYDIR)
	$(RUBY) install.rb setup
endif

install:
ifeq ($(HAVE_RUBY),yes)
	$(RUBY) install.rb install
	sed -e 's,$$(localstatedir),$(localstatedir),' lib/mooix.rb > $(PREFIX)/$(RUBYDIR)/mooix.rb
	sed -e 's,$$(sysconfdir),$(sysconfdir),' lib/mooix/conf.rb > $(PREFIX)/$(RUBYDIR)/mooix/conf.rb
else
	@echo "** Ruby is not available; not installing ruby language binding." >&2
endif

uninstall:
ifeq ($(HAVE_RUBY),yes)
	rm -f $(PREFIX)/$(RUBYDIR)/mooix.rb
	rm -f $(PREFIX)/$(RUBYDIR)/Mooix.rb
	rm -f $(PREFIX)/$(RUBYDIR)/mooix
	-rmdir -p $(PREFIX)/$(RUBYDIR)
endif

clean:
	rm -f InstalledFiles

realclean: clean
	rm -f config.save

test:

doc:
	rd2 -r rd/rd2man-lib.rb lib/mooix.rb >mooix.rb.3
