=== bindings/shell/Makefile ===
include ../../makeinfo

build::

install:
	$(INSTALL) -d $(PREFIX)/$(datadir)/mooix
	$(INSTALL) mooix.sh mooix.zsh $(PREFIX)/$(datadir)/mooix

uninstall:
	rm -f $(PREFIX)/$(datadir)/mooix/mooix.sh \
		$(PREFIX)/$(datadir)/mooix/mooix.zsh
	-rmdir -p $(PREFIX)/$(datadir)/mooix

clean::

realclean::

test:
	# None yet.
