=== libmooproxy/t/Makefile ===
all: $(bins)
	$(MAKE) -C wrapping

test: $(bins) $(perls)
	@$(MAKE) -C wrapping test

clean:
	$(MAKE) -C wrapping clean
