=== obj/abstract/builder/Makefile ===
build::
	ln -f derive.cmd create.cmd
	ln -f derive.hlp create.hlp
	ln -f show.cmd showall.cmd
	ln -f show_verb showall_verb
	ln -f recycle.cmd destroy.cmd
	ln -f is.cmd are.cmd

clean::
	rm -f create.cmd create.hlp showall.cmd showall_verb destroy.cmd are.cmd
realclean::
