=== obj/abstract/debug/Makefile ===
include ../../../makeinfo

build::
	ln -f trace.hlp skip.hlp
	
clean::
	rm -f skip.hlp
realclean::
