=== obj/abstract/guest/Makefile ===
include ../../../makeinfo

build::
	$(SETSTACKLESS) login
	$(SETSTACKLESS) logout
clean::
realclean::
