=== obj/abstract/programmer/Makefile ===
build:: safechange

safechange: ../builder/safechange
	# Trim ifdeffed checks in builder safechange to produce one for
	# programmers.
	perl -ne 'if (/^#ifndef programmer/) { $$skip = 1 } \
	          elsif (/^#endif/) { $$skip = 0; next } \
	          print $$_ unless $$skip \
	         ' < ../builder/safechange > safechange
	chmod +x safechange

clean::
	rm -f safechange
realclean::
