=== obj/abstract/ssh/Makefile ===
include ../../../makeinfo

build::
	$(SETSTACKLESS) setkey
	
clean::
realclean::
