=== obj/abstract/thingset/Makefile ===
include ../../../makeinfo

CFLAGS += -I../../../bindings/c -L../../../bindings/c -lmoomethod

bins = add remove

build: $(bins)
	$(STRIP_PROGRAM) $(bins)

clean: 
	rm -f $(bins) *~
realclean:
