=== debian/control ===
Source: mooix
Section: misc
Priority: optional
Build-Depends: debhelper (>= 4.1.27), libreadline-dev, autoconf, ruby, dpkg-dev (>= 1.9.0), libperl-dev, perl (>= 5.8.2), python-dev (>= 2.2.1), ruby1.8-dev
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.1.0

Package: mooix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libparse-recdescent-perl, libsys-utmp-perl, less, adduser
Conflicts: libc6 (= 2.3.2-1), libc6 (= 2.3.2-2), libc6 (= 2.3.2-3)
Recommends: liblingua-en-words2nums-perl, libmail-sendmail-perl, libauthen-pam-perl
Suggests: libtime-duration-perl, libsys-cpuload-perl, libdate-manip-perl, libtime-human-perl, liblingua-en-inflect-perl, ruby, joe
Description: a MOO built on top of the unix system
 Mooix is a MOO, an object-oriented multi-user virtual world that users can
 log into and explore. Each user takes control of a computerized avatar. You
 can walk around, chat with other people, solve puzzles, and even extend and
 change the world by creating new places and items and adding your own code.
 .
 Mooix is programming language independent; methods can be coded in any
 language, including perl, python, ruby, and C. It features a powerful
 natural language processor so users can talk to it in plain English. Mooix
 uses special techniques to allow the core of the MOO to be upgraded easily
 while retaining your modifications. It ships with a fairly complete set of
 more than fifty basic objects, everything you'll need to get started
 creating your own custom MOO. And every bit of it is extensively documented
 with online help.
 .
 Most MOOs run off in a corner of a unix system, as a single process. They
 re-invent their own programming languages, which are often not very
 expressive or powerful, their own object oriented database systems, their
 own multiuser support, and essentially everything you'd find on a unix
 system. Mooix turns this on its head, and rather than trying to reinvent
 unix inside a MOO, it turns the unix system into the MOO. It uses every
 unix strength possible to the advantage of the MOO; its multiuser nature,
 preemptive multitasking, disk caching, device abstraction, numerous
 programming languages, editors, libraries, etc. With Mooix, unix is the
 MOO.
