=== doc/Makefile ===
MANS_7=mooix.7

include ../makeinfo

clean:
	rm -f *~

test:

realclean: clean

install:
	$(INSTALL) -d $(PREFIX)/$(mandir)/man7
	$(INSTALL) -m 0644 $(MANS_7) $(PREFIX)/$(mandir)/man7

uninstall:
	for man in $(MANS_7); do \
		rm -f $(PREFIX)/$(mandir)/man7/$$man; \
	done
	-rmdir -p $(PREFIX)/$(mandir)/man7
