=== bindings/python/Makefile ===
include ../../makeinfo

build:
ifeq ($(HAVE_PYTHON),yes)
	perl -p -i.dist \
		-e "s%MOOROOT_FROM_BUILD%'$(localstatedir)/lib/mooix'%" \
		mooix/variables.py
	$(PYTHON) ./setup.py build
	# put the original file back in place
	mv mooix/variables.py.dist mooix/variables.py
endif

install:
ifeq ($(HAVE_PYTHON),yes)
	$(PYTHON) ./setup.py install --root=$(PREFIX) \
		--install-data=usr/share --record=INSTALLED_FILES
else
	@echo "** Python is not available; not installing python language binding."
endif

uninstall:
	if [ -e INSTALLED_FILES ]; then \
		for file in `cat INSTALLED_FILES`; do \
			rm -f $(PREFIX)/$$file; \
		done; \
	fi
	# TODO: remove installed directory too.

clean:
ifeq ($(HAVE_PYTHON),yes)
	$(PYTHON) ./setup.py clean --all
endif

test:
# None yet.

realclean:
	rm -f INSTALLED_FILES

.PHONY: build
