=== obj/abstract/animate/Makefile ===
include ../../../makeinfo

build:: $(bins)
	$(SETSTACKLESS) hp_regen
	$(SETSTACKLESS) damage

clean::
realclean::
