=== obj/abstract/avatar/Makefile ===
include ../../../makeinfo

CFLAGS += -I../../../bindings/c -L../../../bindings/c -lmoomethod
bins = notice calcaware onmove

build:: $(bins)
	$(STRIP_PROGRAM) $(bins)

	$(SETSTACKLESS) login
	$(SETSTACKLESS) logout
	$(SETSTACKLESS) calcaware
	$(SETSTACKLESS) wield
	$(SETSTACKLESS) unwield
	$(SETSTACKLESS) edit_finish

	# Commands with aliases.
	ln -f quit.cmd exit.cmd
	ln -f inventory.cmd inv.cmd
	ln -f offer.cmd give.cmd
	ln -f offer.cmd give.cmd
	ln -f attack.cmd hit.cmd
	ln -f attack.cmd kick.cmd
	ln -f attack.cmd punch.cmd
	ln -f password.cmd passwd.cmd
	ln -f is.cmd are.cmd
	ln -f rename.cmd call.cmd
	ln -f yell.cmd scream.cmd
	cp .basemass .mass
	
clean::
	rm -f .mass exit.cmd inv.cmd give.cmd hand.cmd hit.cmd kick.cmd \
		punch.cmd passwd.cmd $(bins) are.cmd call.cmd scream.cmd
realclean::
