=== obj/abstract/filterlist/Makefile ===
include ../../../makeinfo

CFLAGS += -I../../../bindings/c -L../../../bindings/c -lmoomethod

bins = add remove

build: $(bins)
	$(STRIP_PROGRAM) $(bins)
	$(SETSTACKLESS) add
	$(SETSTACKLESS) remove
	$(SETSTACKLESS) init
	chmod g+w list

clean: 
	rm -f $(bins) *~
realclean:
