=== obj/abstract/physics/Makefile ===
include ../../../makeinfo

build: $(bins)
	$(SETSTACKLESS) move changemass

clean:
realclean:
