=== debian/changelog ===
mooix (1.0rc5.pre5) unstable; urgency=high

  * Only warn if make test fails, since we have some unresolved issues on mips
    and mipsel and still want to get the fixed package in despite these.

 -- Joey Hess <joeyh@debian.org>  Sat, 12 Feb 2005 14:10:32 -0500

mooix (1.0rc5.pre4) unstable; urgency=high

  * Wrapper script unsets PERLIO_DEBUG, since suid programs that run perl
    scripts could be exploited via that variable to write to arbitary files.
    (CAN-2005-0155). Note that this is unnecessary if your perl has already
    had this security hole fixed; however I'm patching it in mooix too since
    mooix may be installed on some systems that have no sperl, so the admin
    does not think they need to fix perl.
  * Add Japanese translation of debconf template. Closes: #227814
  * Add Catalan translation of debconf template. Closes: #236659

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Feb 2005 16:20:05 -0500
